package com.xxfc.platform.activity.mapper;

import com.xxfc.platform.activity.entity.IntegralUserRecord;
import com.xxfc.platform.activity.vo.IntegralUserRecordDto;
import tk.mybatis.mapper.common.Mapper;

import java.util.List;

public interface IntegralUserRecordMapper extends Mapper<IntegralUserRecord> {

    List<IntegralUserRecord> selectByUserId(Integer userId);

    List<IntegralUserRecord> selectByUserAndTime(IntegralUserRecordDto integralUserRecordDto);

    Integer countByUserAndCode(IntegralUserRecordDto integralUserRecordDto);

}